//单位查询 首页查询
import {requestInstance} from "@/service";
//首页查询
export function proXyxxSelectUnit(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxSelectUnit',
        data:{
            ...params
        }
    })
}

//下属部门查询
export function proXyxxSelectDepartment(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxSelectDepartment',
        data:{
            ...params
        }
    })
}

//下属部门新增
export function proXyxxInsertDepartment(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxInsertDepartment',
        data:{
            ...params
        }
    })
}


//下属部门修改
export function proXyxxUpdateDepartment(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxUpdateDepartment',
        data:{
            ...params
        }
    })
}

//下属部门删除
export function proXyxxDeleteDepartment(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxDeleteDepartment',
        data:{
            ...params
        }
    })
}

//新增验证单位名称是否存在，修改验证单位名称是否存在
export function proXyxxSelectUnitCode(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxSelectUnitCode',
        data:{
            ...params
        }
    })
}

//单位新增
export function proXyxxInsertUnit(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxInsertUnit',
        data:{
            ...params
        }
    })
}


//单位修改
export function proXyxxUpdateUnit(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxUpdateUnit',
        data:{
            ...params
        }
    })
}


//单位删除
export function proXyxxDeleteUnit(params){
    return requestInstance({
        url:'/XyxxApi/proXyxxDeleteUnit',
        data:{
            ...params
        }
    })
}